<section class="content-header">
  <a class="back-navigation" [routerLink]="['/settings/users']">
    <svg class="icon_user_management" shape-rendering="geometricPrecision" width="10" height="10">
      <use xlink:href="./assets/dist/img/icons.svg#icon_back"></use>
    </svg> All Users</a>
  <h1 style="margin-top:10px">
    Edit Users
  </h1>
</section>
<section class="content">
  <div class="row">
    <!-- right column -->
    <div class="col-md-6">
      <!-- Horizontal Form -->
      <form #Loginform="ngForm" class="form-horizontal" novalidate (ngSubmit)="EditUser(Loginform.value)">
        <div class="box">
          <!-- form start -->
          <div class="box-body bg-shade">
            <div class="col-md-6" [ngClass]="{'has-error': firstName.errors?.required && firstName.touched}">
              <label>First Name</label>
              <input type="text" class="form-control" [(ngModel)]="userModel.firstName" name="firstName"
                #firstName="ngModel" required [attr.disabled]="loading" placeholder="FirstName" />
              <span class="help-block small" *ngIf="firstName.errors?.required && firstName.touched">
                Required </span>
            </div>
            <div class="col-md-6" [ngClass]="{'has-error': lastName.errors?.required && lastName.touched}"
              style="margin-left: 0px;padding-right: 0px;">
              <label>Last Name</label>
              <input type="text" class="form-control" [(ngModel)]="userModel.lastName" name="lastName"
                #lastName="ngModel" required [attr.disabled]="loading" placeholder="LastName" />
              <span class="help-block small" *ngIf="lastName.errors?.required && lastName.touched">
                Required </span>
            </div>
            <div class="col-md-12" [ngClass]="{'has-error': userId.errors?.required && userId.touched}">
              <label for="inputEmail3">User Name</label>
              <input type="text" class="form-control" [(ngModel)]="userModel.userId" name="userId" #userId="ngModel"
                required [attr.disabled]="loading" placeholder="User Name" />
              <span class="help-block small" *ngIf="userId.errors?.required && userId.touched">
                Required </span>
            </div>
            <div class="col-md-12"
              [ngClass]="{'has-error': (emailId.errors?.required && emailId.touched) || (emailId.errors?.pattern && emailId.touched)}">
              <label>Email</label>
              <input type="text" class="form-control" [(ngModel)]="userModel.emailId" name="emailId" #emailId="ngModel"
                required [attr.disabled]="loading" placeholder="Email Id" />
              <span class="help-block small" *ngIf="emailId.errors?.required && emailId.touched">
                Required </span>
              <span class="help-block small" *ngIf="emailId.errors?.pattern && emailId.touched">
                Email not valid. </span>
            </div>
            <div class="col-md-6" [ngClass]="{'has-error': isInternal.errors?.required && isInternal.touched}">
              <label>User Type<span style="color:red">*</span></label>
              <input type="text" class="form-control" [(ngModel)]="userModel.isInternal" name="isInternal"
                #isInternal="ngModel" required [attr.disabled]="loading" placeholder="Is Internal" />
              <span class="help-block small" *ngIf="isInternal.errors?.required && isInternal.touched">
                Required </span>
            </div>
            <div class="col-md-6" [ngClass]="{'has-error': crmCompanyId.errors?.required && crmCompanyId.touched}">
              <label>CRM Company Id<span style="color:red">*</span></label>
              <input type="text" class="form-control" [(ngModel)]="userModel.crmCompanyId" name="crmCompanyId"
                #crmCompanyId="ngModel" required [attr.disabled]="loading" placeholder="CRM Company Id" />
              <span class="help-block small" *ngIf="crmCompanyId.errors?.required && crmCompanyId.touched">
                Required </span>
            </div>
          </div>
        </div>
      </form>
      <!-- /.box -->
    </div>
    <div class="col-md-6">
      <!-- Horizontal Form -->
      <div class="box">
        <div class="box-body bg-shade">
          <div class="form-group col-md-5 margin-0 padding-0">
            <span>
              All Roles <a href="javascript:void(0);" (click)="SelectedAll()"
                style="font-weight: bold;display: none">Select All</a>
            </span>
            <select multiple="multiple" [(ngModel)]="selectedRole" style="width:100%;height:180px">
              <option value="{{o.roleId}}" *ngFor="let o of roles">{{o.role}}</option>
            </select>
          </div>
          <div class="form-group col-md-2 margin-0 text-center" style="height:200px">
            <div class="col-md-12 padding-0" style="vertical-align:middle;height:150px">
              <span>
                <svg class="icon_double_right_arrows_angles" shape-rendering="geometricPrecision" width="35" height="35"
                  (click)="AddRole()"
                  style="border: solid 1px #ddd;padding: 5px;border-radius: 50%;margin-top:55px;background: #f7f7f7">
                  <use xlink:href="./assets/dist/img/icons.svg#icon_double_right_arrows_angles"></use>
                </svg>
              </span>
            </div>
            <div class="col-md-12 padding-0">
              <span>
                <svg class="icon_double_left_arrows_angles" shape-rendering="geometricPrecision" width="35" height="35"
                  (click)="RemoveRole()"
                  style="border: solid 1px #ddd;padding: 5px;border-radius: 50%;background: #f7f7f7">
                  <use xlink:href="./assets/dist/img/icons.svg#icon_double_left_arrows_angles"></use>
                </svg>
              </span>
            </div>
          </div>
          <div class="form-group col-md-5 margin-0 padding-0">
            <span>
              Assigned Roles
            </span>
            <select multiple="multiple" [(ngModel)]="removeSelectedRoles" style="width:100%;height:180px">
              <option value="{{o.roleId}}" *ngFor="let o of selectedRoles">{{o.role}}</option>
            </select>
          </div>
        </div>
      </div>
    </div>
    <!--/.col (right) -->
  </div>
  <!-- /.row -->
</section>